Name:           bpython
Summary:        Fancy curses interface to the Python interactive interpreter
Version:        0.25
Release:        %mkrel 1
URL:            https://www.bpython-interpreter.org
Group:          Development/Python
License:        MIT
Source0:        https://github.com/bpython/bpython/archive/%{version}-release.tar.gz

BuildArch:      noarch
BuildRequires:  locales-en
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(babel)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)

Requires:       python3dist(urwid)
Recommends:     python3dist(jedi)
Obsoletes:      python3-%{name} < 0.18-3
%{?python_provide:%python_provide python3-%{name}}

%description
bpython is a fancy interface to the Python interpreter for Unix-like
operating systems. It has the following features:
 o in-line syntax highlighting
 o readline-like autocomplete with suggestions displayed as you type
 o expected parameter list for any Python function.
 o rewind function to pop the last line of code from memory and
   re-evaluate.
 o send the code you've entered off to a pastebin and display the
   pastebin URL for copying, etc.
 o save the code you've entered to a file
 o auto indentation

%prep
%autosetup -p1 -n %{name}-%{version}-release

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

pushd doc/sphinx/
make man
popd

%install
%pyproject_install

install -m0644 -p -D doc/sphinx/build/man/bpython.1 \
     %{buildroot}%{_mandir}/man1/bpython.1
install -m0644 -p -D doc/sphinx/build/man/bpython-config.5 \
     %{buildroot}%{_mandir}/man5/bpython-config.5

%files
%license LICENSE
%doc AUTHORS.rst CHANGELOG.rst theme/*
%{_bindir}/bpdb
%{_bindir}/%{name}
%{_bindir}/%{name}-urwid
%{python3_sitelib}/%{name}*
%{python3_sitelib}/bpdb
%{_mandir}/man1/%{name}.1*
%{_mandir}/man5/%{name}-config.5*
%{_datadir}/applications/org.bpython-interpreter.%{name}.desktop
%{_metainfodir}/org.bpython-interpreter.%{name}.metainfo.xml
%{_datadir}/pixmaps/%{name}.png


%changelog
* Sat Mar 08 2025 daviddavid <daviddavid> 0.25-1.mga10
+ Revision: 2161978
- new version: 0.25
- switch to pyproject

* Fri Mar 07 2025 daviddavid <daviddavid> 0.24-3.mga10
+ Revision: 2161637
- rebuild for python 3.13

* Tue Jan 16 2024 daviddavid <daviddavid> 0.24-2.mga10
+ Revision: 2031420
- install man pages by script
- rebuild for py3.12

* Thu Feb 09 2023 daviddavid <daviddavid> 0.24-1.mga9
+ Revision: 1939572
- new version: 0.24

* Fri Sep 02 2022 neoclust <neoclust> 0.23-1.mga9
+ Revision: 1883538
- New version 0.23

* Tue Mar 29 2022 umeabot <umeabot> 0.22.1-2.mga9
+ Revision: 1832613
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 mrambo3501 <mrambo3501> 0.22.1-1.mga9
+ Revision: 1775165
- more files
- fix files list
- delete upstreamed Patch0
- version 0.22.1
- rebuild for python-3.10

* Mon Jun 21 2021 akien <akien> 0.21-1.mga9
+ Revision: 1731526
- Version 0.21

* Mon Mar 22 2021 daviddavid <daviddavid> 0.20.1-2.mga9
+ Revision: 1707711
- rebuild for python 3.9

* Tue Nov 17 2020 akien <akien> 0.20.1-1.mga8
+ Revision: 1646829
- Version 0.20.1

* Sat Oct 17 2020 akien <akien> 0.20-1.mga8
+ Revision: 1636567
- Version 0.20

* Tue Apr 28 2020 luigiwalser <luigiwalser> 0.19-1.mga8
+ Revision: 1572574
- 0.19
- add patch from fedora to fix appdata path

* Sun Feb 16 2020 umeabot <umeabot> 0.18-4.mga8
+ Revision: 1532784
- Mageia 8 Mass Rebuild

* Tue Sep 17 2019 wally <wally> 0.18-3.mga8
+ Revision: 1443192
- rebuild for python3.8
- drop python2 support

* Mon Aug 05 2019 wally <wally> 0.18-2.mga8
+ Revision: 1427452
- no more sphinx python2 support

* Sun Apr 21 2019 akien <akien> 0.18-1.mga7
+ Revision: 1394347
- Version 0.18

* Mon Jan 07 2019 shlomif <shlomif> 0.17.1-3.mga7
+ Revision: 1351485
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.17.1-2.mga7
+ Revision: 1277750
- Mageia 7 Mass Rebuild

* Mon May 14 2018 akien <akien> 0.17.1-1.mga7
+ Revision: 1229320
- Version 0.17.1

* Sat Aug 05 2017 pterjan <pterjan> 0.17-2.mga7
+ Revision: 1135189
- Rebuild for python 3.6

* Mon Jul 17 2017 akien <akien> 0.17-1.mga7
+ Revision: 1124172
- Version 0.17

* Sun Jan 01 2017 akien <akien> 0.16-1.mga6
+ Revision: 1079112
- Version 0.16

* Mon Mar 14 2016 akien <akien> 0.15-2.mga6
+ Revision: 990632
- Enable python3-urwid version, it seems to work even without python3-twisted
- Version 0.15
- Remove requires redundant with autoreqs
- Recommend jedi for additional features

* Fri Feb 19 2016 umeabot <umeabot> 0.14.2-4.mga6
+ Revision: 970608
- Mageia 6 Mass Rebuild

* Thu Oct 08 2015 daviddavid <daviddavid> 0.14.2-3.mga6
+ Revision: 887262
- rebuild for python 3.5
- use new python macros

* Mon Jun 22 2015 akien <akien> 0.14.2-2.mga6
+ Revision: 839545
- Rebuild for newly imported curtsies, now mandatory to run bpython

* Mon Jun 22 2015 akien <akien> 0.14.2-1.mga6
+ Revision: 839519
- Adapt spec for new version (partly synced with Fedora)
- gtk build has been dropped
- Version 0.14.2

* Tue Jan 27 2015 akien <akien> 0.13.2-1.mga5
+ Revision: 812481
- Version 0.13.2 (upstreams Patch1)

* Mon Nov 10 2014 akien <akien> 0.13.1-2.mga5
+ Revision: 796229
- Upstream patch to fix pastebin functionality

* Tue Nov 04 2014 akien <akien> 0.13.1-1.mga5
+ Revision: 795506
- import bpython from Fedora


* Mon Aug 11 2014 Terje Rosten <terje.rosten@ntnu.no> - 0.13.1-1
- 0.13.1

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue May 27 2014 Kalev Lember <kalevlember@gmail.com> - 0.12-5
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Mon Nov 18 2013 Terje Rosten <terje.rosten@ntnu.no> - 0.12-4
- Add patch to fix resize crash (bz #667934)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Mar 06 2013 Terje Rosten <terje.rosten@ntnu.no> - 0.12-2
- Add patch to fix import crash (bz #823662)

* Wed Jan 30 2013 Terje Rosten <terje.rosten@ntnu.no> - 0.12-1
- 0.12

* Sat Aug 04 2012 David Malcolm <dmalcolm@redhat.com> - 0.11-4
- rebuild for https://fedoraproject.org/wiki/Features/Python_3.3

* Fri Aug  3 2012 David Malcolm <dmalcolm@redhat.com> - 0.11-3
- remove rhel logic from with_python3 conditional

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon May 07 2012 Terje Rosten <terje.rosten@ntnu.no> - 0.11-1
- 0.11

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Oct 17 2011 Terje Rosten <terje.rosten@ntnu.no> - 0.10.1-2
- Add python-urwid to buildreq

* Mon Oct 17 2011 Terje Rosten <terje.rosten@ntnu.no> - 0.10.1-1
- 0.10.1

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.7.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Sep 02 2010 Terje Rosten <terje.rosten@ntnu.no> - 0.9.7.1-1
- 0.9.7.1

* Wed Aug 25 2010 Thomas Spura <tomspur@fedoraproject.org> - 0.9.6.2-7
- rebuild with python3.2
  http://lists.fedoraproject.org/pipermail/devel/2010-August/141368.html

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.9.6.2-6
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun May 30 2010 Terje Rosten <terje.rosten@ntnu.no> - 0.9.6.2-5
- Add patch to fix suspend

* Sun May 09 2010 Terje Rosten <terje.rosten@ntnu.no> - 0.9.6.2-4
- bpython don't use pyparsing

* Fri May 07 2010 David Malcolm <dmalcolm@redhat.com> - 0.9.6.2-3
- Add python3 subpackage (bz #590107)

* Fri Apr 09 2010 Terje Rosten <terje.rosten@ntnu.no> - 0.9.6.2-2
- Fix man page (bz #561800)

* Fri Apr 09 2010 Terje Rosten <terje.rosten@ntnu.no> - 0.9.6.2-1
- 0.9.6.2

* Thu Nov 05 2009 Terje Rosten <terje.rosten@ntnu.no> - 0.9.5.2-1
- 0.9.5.2

* Fri Jul 31 2009 Terje Rosten <terje.rosten@ntnu.no> - 0.9.4-1
- 0.9.4
- Update urls

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon May 18 2009 Terje Rosten <terje.rosten@ntnu.no> - 0.8.0-1
- 0.8.0

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Jan  5 2009 Terje Rosten <terje.rosten@ntnu.no> - 0.7.1-2
- Add setuptools to buildreq

* Mon Jan  5 2009 Terje Rosten <terje.rosten@ntnu.no> - 0.7.1-1
- 0.7.1

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.7.0-2
- Rebuild for Python 2.6

* Mon  Sep 1 2008 Terje Rosten <terje.rosten@ntnu.no> - 0.7.0-1
- 0.7.0

* Tue Aug 12 2008 Terje Rosten <terje.rosten@ntnu.no> - 0.6.3-1
- 0.6.3

* Mon May  5 2008 Terje Rosten <terje.rosten@ntnu.no> - 0.3.1-2
- fix summary
- remove desktop file and optflags

* Wed Apr 30 2008 Terje Rosten <terje.rosten@ntnu.no> - 0.3.1-1
- 0.3.1
- drop patch

* Sun Apr 27 2008 Terje Rosten <terje.rosten@ntnu.no> - 0.2.3-1
- random fixes

* Sun Apr 27 2008 Pascal Bleser <guru@unixtech.be> 0.2.3
- new package
